Skip to main content

Data Tables Actions

https://api.losant.com/applications/APPLICATION_ID/data-tables

Below are the various requests that can be performed against the Data Tables resource, as well as the expected parameters and the potential responses.

Get​

Returns the data tables for an application

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/data-tables

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.cli, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.cli, all.User.read, dataTables.*, or dataTables.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, id, creationDate, lastUpdatednamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: namefilterField=name
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my*table

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/data-tables

Successful Responses​

CodeTypeDescription
200Data TablesCollection of data tables

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Post​

Create a new data table for an application

Method And Url​

POST https://api.losant.com/applications/APPLICATION_ID/data-tables

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, dataTables.*, or dataTables.post.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Data Table Post schema. For example, the following would be a valid body for this request:

{
"name": "My Data Table",
"columns": [
{
"name": "myColumn1",
"dataType": "string",
"constraint": "unique"
},
{
"name": "myColumn2",
"dataType": "number",
"constraint": "optional"
}
]
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"name":"My Data Table","columns":[{"name":"myColumn1","dataType":"string","constraint":"unique"},{"name":"myColumn2","dataType":"number","constraint":"optional"}]}' \
https://api.losant.com/applications/APPLICATION_ID/data-tables

Successful Responses​

CodeTypeDescription
201Data TableSuccessfully created data table

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas​

Data Table​

Schema for a single Data Table

Data Table Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 9 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 3 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 3 keys
                      • ▶
                        {} 2 keys

                    Data Table Example​

                    • ▶
                      {} 7 keys
                      • "596e6ce831761df4231708f1"
                      • "596e6ce831761df4231708f1"
                      • "575ec8687ae143cd83dc4a97"
                      • "2016-06-13T04:00:00.000Z"
                      • "2016-06-13T04:00:00.000Z"
                      • "My Data Table"
                      • ▶
                        [] 2 items

                      Data Table Post​

                      Schema for the body of a Data Table creation request

                      Data Table Post Schema​

                      • ▶
                        {} 5 keys
                        • "http://json-schema.org/draft-07/schema#"
                        • "object"
                        • ▶
                          {} 3 keys
                          • ▶
                            {} 3 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 3 keys
                              • ▶
                                [] 1 item
                                • false

                              Data Table Post Example​

                              • ▶
                                {} 2 keys
                                • "My Data Table"
                                • ▶
                                  [] 2 items

                                Data Tables​

                                Schema for a collection of Data Tables

                                Data Tables Schema​

                                • ▶
                                  {} 3 keys
                                  • "http://json-schema.org/draft-07/schema#"
                                  • "object"
                                  • ▶
                                    {} 10 keys
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 1 key
                                        • ▶
                                          {} 1 key
                                          • ▶
                                            {} 1 key
                                            • ▶
                                              {} 1 key
                                              • ▶
                                                {} 1 key
                                                • ▶
                                                  {} 1 key
                                                  • ▶
                                                    {} 1 key
                                                    • ▶
                                                      {} 2 keys
                                                      • ▶
                                                        {} 2 keys

                                                    Data Tables Example​

                                                    • ▶
                                                      {} 8 keys
                                                      • ▶
                                                        [] 1 item
                                                        • 1
                                                        • 4
                                                        • 1
                                                        • 0
                                                        • "name"
                                                        • "asc"
                                                        • "575ec8687ae143cd83dc4a97"

                                                      Error​

                                                      Schema for errors returned by the API

                                                      Error Schema​

                                                      • ▶
                                                        {} 3 keys
                                                        • "http://json-schema.org/draft-07/schema#"
                                                        • "object"
                                                        • ▶
                                                          {} 3 keys
                                                          • ▶
                                                            {} 1 key
                                                            • ▶
                                                              {} 1 key
                                                              • ▶
                                                                {} 2 keys

                                                            Error Example​

                                                            • ▶
                                                              {} 2 keys
                                                              • "NotFound"
                                                              • "Application was not found"

                                                            Was this page helpful?


                                                            Still looking for help? You can also search the Losant Forums or submit your question there.